VARKON Version 1.15 1998-03-23

> ## pos - Function

> Pointer position in model coordinates
> Description
> Lets the user click a mouse button or press a key on the keyboard. The position of the cursor in 2D model coordinates relative to the currently active coordinate system is returned.
> Syntax
> pos(key)

> STRING | key*1;

> Principal parameters

> None. |

> Optional parameters

> key | - The key or button pressed.

> Return value
> A VECTOR holding the X- and Y-coordinate.
> Comments
> Left mousebutton usually returns a space (ASCII 32) and right mousebutton a CR or LF (ASCII 13 or 10). The middle mousebutton returns TAB (ASCII 8).

VARKON Homepage | Index